Subject: Re: [BUG] netxen: Stops working between 2.6.30 and 2.6.31-rc1

From: Jens Rosenboom <[email-masked]>
Date: Thu, 19 Nov 2009 19:36:07 +0100

On Thu, Nov 19, 2009 at 10:07:21AM -0800, Dhananjay Phadke wrote:
> > My netxen 10G card stops working somewhere between 2.6.30 and 2.6.31-rc1.
> > With the
> > newer kernel I can see packets been received on the switch it is
> > connected to, but
> > the kernel doesn't report any sent packets in the interface counters and
> > nothing
> > is being received either.
> > 
> > I've tried to bisect this, but only seems the end up with kernels that do
> > not boot
> > at all because some SCSI stuff goes bad.
> 
> Any particular reason for using -rc1 kernel and not 2.6.31 stable kernel?

Sorry, I forgot to mention that all later kernels that I tested
including 2.6.31 and the current net-2.6 also fail, so the badness 
comes in somewhere in between 2.6.30 and 2.6.31-rc1.

I also noticed that the newer kernel allocate four interrupts for the
card instead of only one, but none of them seem to get triggered, the
/proc/interrupts counters all stay at zero.